Recipient-Get-v6

From Barion Documentation
Jump to navigation Jump to search

Barion API: GET v6/recipients/{recipientid}

GET /v6/recipients/{id}

This API endpoint returns the details of an existing recipient, including all of their payout methods.

Prerequisites before use:

Authentication

Barion Wallet Authentication

Input properties

Property name Property type Limitations and constraints Description
recipientid String
  • Required
  • Format: rcp_<ordered-base64-ulid>
ID of an existing recipient. Passed as a path parameter.

Output properties

The response is an object of the following structure:

Property name Property type Description
<root> Object
id string Unique identifier of the recipient. Format: rcp_<ordered-base64-ulid>
recipientType string Type of the recipient. Accepted values: individual or business.
companyName string Name of the company. Only present if recipientType is business.
firstName string First name of the recipient. Only present if recipientType is individual.
lastName string Last name of the recipient. Only present if recipientType is individual.
payoutMethods Object Array List of payout methods associated with the recipient. See the object.

To find out which errors this endpoint can produce, visit the Calling the API – Handling the response page. Note that this endpoint uses camelCase field names in error responses.

Possible error messages

Condition ErrorCode HTTP status code
Authentication fails 401
Recipient not found RecipientNotFound 404
Referenced recipient is not connected to the wallet RecipientForbidden 403